summaryrefslogtreecommitdiff
path: root/scripts/qemuimage-tests/toolchain/sudoku-savant
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/qemuimage-tests/toolchain/sudoku-savant')
-rw-r--r--scripts/qemuimage-tests/toolchain/sudoku-savant31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/toolchain/sudoku-savant b/scripts/qemuimage-tests/toolchain/sudoku-savant
new file mode 100644
index 000000000..603afe63e
--- /dev/null
+++ b/scripts/qemuimage-tests/toolchain/sudoku-savant
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# sudoku-savant compile Test for toolchain test
+# The case extract toolchain tarball into temp folder
+# Then compile sudoku-savant with the toolchain environment
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+. $COREBASE/scripts/qemuimage-testlib
+
+TIMEOUT=120
+
+# Extract and test toolchain tarball
+Test_Toolchain sudoku-savant ${TIMEOUT}
+
+if [ $? -eq 0 ]; then
+ Test_Info "sudoku-savant Test PASS"
+ Test_Print_Result "sudoku-savant" 0
+ exit 0
+elif [ $? -eq 1 ]; then
+ Test_Info "sudoku-savant Test FAIL"
+ Test_Print_Result "sudoku-savant" 1
+ exit 1
+else
+ Test_Info "Skip sudoku-savant Test due to some configuration problem"
+ Test_Print_Result "sudoku-savant" 2
+ exit 2
+fi